## org.red5.server.stream.codec
Enum VideoCodec

    java.lang.Object
      java.lang.Enum<VideoCodec>
          org.red5.server.stream.codec.VideoCodec

All Implemented Interfaces:
  Serializable, Comparable<VideoCodec>

    public enum VideoCodec

extends Enum<VideoCodec>

Video codecs that Red5 supports.

Author:
  Art Clarke, Paul Gregoire (mondain@gmail.com)

Enum Constant Summary
`AVC`
`H263`
`JPEG`
`SCREEN_VIDEO`
`SCREEN_VIDEO2`
`VP6`
`VP6a`

Method Summary
`byte` `getId()` Returns back a numeric id for this codec, that happens to correspond to the numeric identifier that FLV will use for this codec.
`static VideoCodec` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static VideoCodec[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### JPEG

    public static final VideoCodec JPEG

### H263

    public static final VideoCodec H263

### SCREEN_VIDEO

    public static final VideoCodec SCREEN_VIDEO

### VP6

    public static final VideoCodec VP6

### VP6a

    public static final VideoCodec VP6a

### SCREEN_VIDEO2

    public static final VideoCodec SCREEN_VIDEO2

### AVC

    public static final VideoCodec AVC

Method Detail

### values

    public static VideoCodec[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (VideoCodec c : VideoCodec.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static VideoCodec valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### getId

    public byte getId()

  Returns back a numeric id for this codec, that happens to correspond to the numeric identifier that FLV will use for this codec.

  Returns:
    the codec id

Copyright © 2006-2010 The Red5 Project